Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface PointSymbolizer

All Superinterfaces:
  Cloneable, GraphicStyle

    public interface PointSymbolizer

extends GraphicStyle

Encapsulates the point and mark attributes that can be applied to any point `Graphic`.

Field Summary
`static Color` | `DEFAULT_FILL_BACKGROUND_COLOR` Default fill background color value for interior of marks with a pattern.
`static Color` | `DEFAULT_FILL_COLOR` Default fill color value for interior of marks.
`static float[]` | `DEFAULT_FILL_GRADIENT_POINTS` Default fill gradient points value.
`static float` | `DEFAULT_FILL_OPACITY` Default fill opacity value.
`static FillPattern` | `DEFAULT_FILL_PATTERN` Default fill pattern value.
`static FillStyle` | `DEFAULT_FILL_STYLE` Default fill style value.
`static Mark` | `DEFAULT_MARK` Default point mark value.
`static float` | `DEFAULT_OPACITY` Default fill opacity value.
`static float` | `DEFAULT_ROTATION` Default point rotation value.
`static float` | `DEFAULT_SIZE` Default point size value.
`static ArrowStyle` | `DEFAULT_STROKE_BEGIN_ARROW_STYLE` Default begin arrow style value.
`static Color` | `DEFAULT_STROKE_COLOR` Default stroke color value.
`static DashArray` | `DEFAULT_STROKE_DASH_ARRAY` Default dash array value.
`static float` | `DEFAULT_STROKE_DASH_OFFSET` Default dash offset value.
`static ArrowStyle` | `DEFAULT_STROKE_END_ARROW_STYLE` Default end arrow style value.
`static Color` | `DEFAULT_STROKE_FILL_BACKGROUND_COLOR` Default fill background color value.
`static Color` | `DEFAULT_STROKE_FILL_COLOR` Default fill color value.
`static float[]` | `DEFAULT_STROKE_FILL_GRADIENT_POINTS` Default fill gradient points value.
`static float` | `DEFAULT_STROKE_FILL_OPACITY` Default fill opacity value.
`static FillPattern` | `DEFAULT_STROKE_FILL_PATTERN` Default fill pattern value.
`static FillStyle` | `DEFAULT_STROKE_FILL_STYLE` Default fill style value.
`static LineCap` | `DEFAULT_STROKE_LINE_CAP` Default line cap value.
`static float` | `DEFAULT_STROKE_LINE_GAP` Default line gap value.
`static LineJoin` | `DEFAULT_STROKE_LINE_JOIN` Default line join value.
`static LinePattern` | `DEFAULT_STROKE_LINE_PATTERN`
`static LineStyle` | `DEFAULT_STROKE_LINE_STYLE` Default line style value.
`static float` | `DEFAULT_STROKE_OPACITY` Default stroke opacity value.
`static float` | `DEFAULT_STROKE_WIDTH` Default stroke width value.

Method Summary
`Color` | `getFillBackgroundColor()` Returns the fill background color value.
`Color` | `getFillColor()` Returns the fill color value.
`float[]` | `getFillGradientPoints()` Returns the fill gradient points value.
`float` | `getFillOpacity()` Returns the fill opacity value.
`FillPattern` | `getFillPattern()` Returns the fill pattern value.
`FillStyle` | `getFillStyle()` Returns the fill style value.
`Mark` | `getMark()` Returns the point mark value.
`float` | `getOpacity()` Returns the point opacity value.
`float` | `getRotation()` Returns the point rotation value.
`float` | `getSize()` Returns the point size value.
`ArrowStyle` | `getStrokeBeginArrowStyle()` Returns the stroke begin arrow style value.
`Color` | `getStrokeColor()` Returns the stroke color value.
`DashArray` | `getStrokeDashArray()` Returns the stroke dash array value.
`float` | `getStrokeDashOffset()` Returns the stroke dash offset value.
`ArrowStyle` | `getStrokeEndArrowStyle()` Returns the stroke end arrow style value.
`Color` | `getStrokeFillBackgroundColor()` Returns the fill background color value.
`Color` | `getStrokeFillColor()` Returns the fill color value.
`float[]` | `getStrokeFillGradientPoints()` Returns the fill gradient points value.
`float` | `getStrokeFillOpacity()` Returns the fill opacity value.
`FillPattern` | `getStrokeFillPattern()` Returns the fill pattern value.
`FillStyle` | `getStrokeFillStyle()` Returns the fill style value.
`LineCap` | `getStrokeLineCap()` Returns the stroke line cap value.
`float` | `getStrokeLineGap()` Returns the stroke line gap value.
`LineJoin` | `getStrokeLineJoin()` Returns the stroke line join value.
`LinePattern` | `getStrokeLinePattern()` Returns the stroke line pattern value.
`LineStyle` | `getStrokeLineStyle()` Returns the stroke line style value.
`float` | `getStrokeWidth()` Returns the width value.
`void` | `setFillBackgroundColor(Color fillBackgroundColor)` Sets the fill background color value.
`void` | `setFillColor(Color fillColor)` Sets the fill color value.
`void` | `setFillGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` | `setFillOpacity(float fillOpacity)` Sets the fill opacity value.
`void` | `setFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` | `setFillStyle(FillStyle fillStyle)` Sets the fill style value.
`void` | `setMark(Mark pointMark)` Sets the point mark value.
`void` | `setOpacity(float pointOpacity)` Sets the point opacity value.
`void` | `setRotation(float pointRotation)` Sets the point rotation value.
`void` | `setSize(float pointSize)` Sets the point size value.
`void` | `setStrokeBeginArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke begin arrow style value.
`void` | `setStrokeColor(Color strokeColor)` Sets the stroke color value.
`void` | `setStrokeDashArray(DashArray strokeDashArray)` Sets the stroke dash array value.
`void` | `setStrokeDashOffset(float strokeDashOffset)` Sets the stroke dash offset value.
`void` | `setStrokeEndArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke end arrow style value.
`void` | `setStrokeFillBackgroundColor(Color fillBackgroundColor)` Sets the fill background color value.
`void` | `setStrokeFillColor(Color fillColor)` Sets the fill color value.
`void` | `setStrokeFillGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` | `setStrokeFillOpacity(float fillOpacity)` Sets the fill opacity value.
`void` | `setStrokeFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` | `setStrokeFillStyle(FillStyle fillStyle)` Sets the fill style value.
`void` | `setStrokeLineCap(LineCap strokeLineCap)` Sets the stroke line cap value.
`void` | `setStrokeLineGap(float strokeLineGap)` Sets the stroke line gap value.
`void` | `setStrokeLineJoin(LineJoin strokeLineJoin)` Sets the stroke line join value.
`void` | `setStrokeLinePattern(LinePattern strokeLinePattern)` Sets the stroke line pattern value.
`void` | `setStrokeLineStyle(LineStyle strokeLineStyle)` Sets the stroke line style value.
`void` | `setStrokeWidth(float width)` Sets the width value.

Methods inherited from interface GraphicStyle
`addGraphicStyleListener, clone, getImplHint, removeGraphicStyleListener, setImplHint, setPropertiesFrom`

Field Detail

### DEFAULT_FILL_COLOR

    static final Color DEFAULT_FILL_COLOR

  Default fill color value for interior of marks.

### DEFAULT_FILL_BACKGROUND_COLOR

    static final Color DEFAULT_FILL_BACKGROUND_COLOR

  Default fill background color value for interior of marks with a pattern.

### DEFAULT_FILL_GRADIENT_POINTS

    static final float[] DEFAULT_FILL_GRADIENT_POINTS

  Default fill gradient points value.

### DEFAULT_FILL_OPACITY

    static final float DEFAULT_FILL_OPACITY

  Default fill opacity value.

  See Also:
    Constant Field Values

### DEFAULT_FILL_PATTERN

    static final FillPattern DEFAULT_FILL_PATTERN

  Default fill pattern value.

### DEFAULT_FILL_STYLE

    static final FillStyle DEFAULT_FILL_STYLE

  Default fill style value.

### DEFAULT_MARK

    static final Mark DEFAULT_MARK

  Default point mark value.

### DEFAULT_ROTATION

    static final float DEFAULT_ROTATION

  Default point rotation value.

  See Also:
    Constant Field Values

### DEFAULT_SIZE

    static final float DEFAULT_SIZE

  Default point size value.

  See Also:
    Constant Field Values

### DEFAULT_OPACITY

    static final float DEFAULT_OPACITY

  Default fill opacity value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_BEGIN_ARROW_STYLE

    static final ArrowStyle DEFAULT_STROKE_BEGIN_ARROW_STYLE

  Default begin arrow style value.

### DEFAULT_STROKE_END_ARROW_STYLE

    static final ArrowStyle DEFAULT_STROKE_END_ARROW_STYLE

  Default end arrow style value.

### DEFAULT_STROKE_COLOR

    static final Color DEFAULT_STROKE_COLOR

  Default stroke color value.

### DEFAULT_STROKE_DASH_ARRAY

    static final DashArray DEFAULT_STROKE_DASH_ARRAY

  Default dash array value.

### DEFAULT_STROKE_DASH_OFFSET

    static final float DEFAULT_STROKE_DASH_OFFSET

  Default dash offset value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_FILL_COLOR

    static final Color DEFAULT_STROKE_FILL_COLOR

  Default fill color value.

### DEFAULT_STROKE_FILL_BACKGROUND_COLOR

    static final Color DEFAULT_STROKE_FILL_BACKGROUND_COLOR

  Default fill background color value.

### DEFAULT_STROKE_FILL_GRADIENT_POINTS

    static final float[] DEFAULT_STROKE_FILL_GRADIENT_POINTS

  Default fill gradient points value.

### DEFAULT_STROKE_FILL_OPACITY

    static final float DEFAULT_STROKE_FILL_OPACITY

  Default fill opacity value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_FILL_PATTERN

    static final FillPattern DEFAULT_STROKE_FILL_PATTERN

  Default fill pattern value.

### DEFAULT_STROKE_FILL_STYLE

    static final FillStyle DEFAULT_STROKE_FILL_STYLE

  Default fill style value.

### DEFAULT_STROKE_LINE_CAP

    static final LineCap DEFAULT_STROKE_LINE_CAP

  Default line cap value.

### DEFAULT_STROKE_LINE_GAP

    static final float DEFAULT_STROKE_LINE_GAP

  Default line gap value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_LINE_JOIN

    static final LineJoin DEFAULT_STROKE_LINE_JOIN

  Default line join value.

### DEFAULT_STROKE_LINE_PATTERN

    static final LinePattern DEFAULT_STROKE_LINE_PATTERN

### DEFAULT_STROKE_LINE_STYLE

    static final LineStyle DEFAULT_STROKE_LINE_STYLE

  Default line style value.

### DEFAULT_STROKE_OPACITY

    static final float DEFAULT_STROKE_OPACITY

  Default stroke opacity value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_WIDTH

    static final float DEFAULT_STROKE_WIDTH

  Default stroke width value.

  See Also:
    Constant Field Values

Method Detail

### getFillColor

    Color getFillColor()

  Returns the fill color value.

  Returns:
    the fill color value.

### setFillColor

    void setFillColor(Color fillColor)

  Sets the fill color value.

  Parameters:
    `fillColor` - the fill color value.

### getFillBackgroundColor

    Color getFillBackgroundColor()

  Returns the fill background color value.

  Returns:
    the fill background color value.

### setFillBackgroundColor

    void setFillBackgroundColor(Color fillBackgroundColor)

  Sets the fill background color value.

  Parameters:
    `fillBackgroundColor` - the fill background color value.

### getFillGradientPoints

    float[] getFillGradientPoints()

  Returns the fill gradient points value.

  Returns:
    the fill gradient points value.

### setFillGradientPoints

    void setFillGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value.

### getFillOpacity

    float getFillOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### setFillOpacity

    void setFillOpacity(float fillOpacity)

  Sets the fill opacity value.

  Parameters:
    `fillOpacity` - the fill opacity value.

### getFillPattern

    FillPattern getFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### setFillPattern

    void setFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### getFillStyle

    FillStyle getFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### setFillStyle

    void setFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

### getMark

    Mark getMark()

  Returns the point mark value.

  Returns:
    the point mark value.

### setMark

    void setMark(Mark pointMark)

  Sets the point mark value.

  Parameters:
    `pointMark` - the point mark value.

### getRotation

    float getRotation()

  Returns the point rotation value.

  Returns:
    the point rotation value.

### setRotation

    void setRotation(float pointRotation)

  Sets the point rotation value.

  Parameters:
    `pointRotation` - the point rotation value.

### getSize

    float getSize()

  Returns the point size value.

  Returns:
    the point size value.

### setSize

    void setSize(float pointSize)

  Sets the point size value.

  Parameters:
    `pointSize` - the point size value.

### getOpacity

    float getOpacity()

  Returns the point opacity value.

  Returns:
    the point opacity value.

### setOpacity

    void setOpacity(float pointOpacity)

  Sets the point opacity value.

  Parameters:
    `pointOpacity` - the point opacity value.

### getStrokeBeginArrowStyle

    ArrowStyle getStrokeBeginArrowStyle()

  Returns the stroke begin arrow style value.

  Returns:
    the stroke begin arrow style value.

### setStrokeBeginArrowStyle

    void setStrokeBeginArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke begin arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke begin arrow style value.

### getStrokeEndArrowStyle

    ArrowStyle getStrokeEndArrowStyle()

  Returns the stroke end arrow style value.

  Returns:
    the stroke end arrow style value.

### setStrokeEndArrowStyle

    void setStrokeEndArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke end arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke end arrow style value.

### getStrokeColor

    Color getStrokeColor()

  Returns the stroke color value.

  Returns:
    the stroke color value.

### setStrokeColor

    void setStrokeColor(Color strokeColor)

  Sets the stroke color value.

  Parameters:
    `strokeColor` - the stroke color value.

### getStrokeDashArray

    DashArray getStrokeDashArray()

  Returns the stroke dash array value.

  Returns:
    the stroke dash array value.

### setStrokeDashArray

    void setStrokeDashArray(DashArray strokeDashArray)

  Sets the stroke dash array value.

  Parameters:
    `strokeDashArray` - the stroke dash array value.

### getStrokeDashOffset

    float getStrokeDashOffset()

  Returns the stroke dash offset value.

  Returns:
    the stroke dash offset value.

### setStrokeDashOffset

    void setStrokeDashOffset(float strokeDashOffset)

  Sets the stroke dash offset value.

  Parameters:
    `strokeDashOffset` - the stroke dash offset value.

### getStrokeFillColor

    Color getStrokeFillColor()

  Returns the fill color value.

  Returns:
    the fill color value.

### setStrokeFillColor

    void setStrokeFillColor(Color fillColor)

  Sets the fill color value.

  Parameters:
    `fillColor` - the fill color value.

### getStrokeFillBackgroundColor

    Color getStrokeFillBackgroundColor()

  Returns the fill background color value.

  Returns:
    the fill background color value.

### setStrokeFillBackgroundColor

    void setStrokeFillBackgroundColor(Color fillBackgroundColor)

  Sets the fill background color value.

  Parameters:
    `fillBackgroundColor` - the fill background color value.

### getStrokeFillGradientPoints

    float[] getStrokeFillGradientPoints()

  Returns the fill gradient points value.

  Returns:
    the fill gradient points value.

### setStrokeFillGradientPoints

    void setStrokeFillGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value.

### getStrokeFillOpacity

    float getStrokeFillOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### setStrokeFillOpacity

    void setStrokeFillOpacity(float fillOpacity)

  Sets the fill opacity value.

  Parameters:
    `fillOpacity` - the fill opacity value.

### getStrokeFillPattern

    FillPattern getStrokeFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### setStrokeFillPattern

    void setStrokeFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### getStrokeFillStyle

    FillStyle getStrokeFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### setStrokeFillStyle

    void setStrokeFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

### getStrokeLineCap

    LineCap getStrokeLineCap()

  Returns the stroke line cap value.

  Returns:
    the stroke line cap value.

### setStrokeLineCap

    void setStrokeLineCap(LineCap strokeLineCap)

  Sets the stroke line cap value.

  Parameters:
    `strokeLineCap` - the stroke line cap value.

### getStrokeLineGap

    float getStrokeLineGap()

  Returns the stroke line gap value.

  Returns:
    the stroke line gap value.

### setStrokeLineGap

    void setStrokeLineGap(float strokeLineGap)

  Sets the stroke line gap value.

  Parameters:
    `strokeLineGap` - the stroke line gap value.

### getStrokeLineJoin

    LineJoin getStrokeLineJoin()

  Returns the stroke line join value.

  Returns:
    the stroke line join value.

### setStrokeLineJoin

    void setStrokeLineJoin(LineJoin strokeLineJoin)

  Sets the stroke line join value.

  Parameters:
    `strokeLineJoin` - the stroke line join value.

### getStrokeLinePattern

    LinePattern getStrokeLinePattern()

  Returns the stroke line pattern value.

  Returns:
    the stroke line pattern value.

### setStrokeLinePattern

    void setStrokeLinePattern(LinePattern strokeLinePattern)

  Sets the stroke line pattern value.

  Parameters:
    `strokeLinePattern` - the stroke line pattern value.

### getStrokeLineStyle

    LineStyle getStrokeLineStyle()

  Returns the stroke line style value.

  Returns:
    the stroke line style value.

### setStrokeLineStyle

    void setStrokeLineStyle(LineStyle strokeLineStyle)

  Sets the stroke line style value.

  Parameters:
    `strokeLineStyle` - the stroke line style value.

### getStrokeWidth

    float getStrokeWidth()

  Returns the width value.

  Returns:
    the width value.

### setStrokeWidth

    void setStrokeWidth(float width)

  Sets the width value.

  Parameters:
    `width` - the width value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.